# SplDoublyLinkedList::offsetSet

(PHP 5 >= 5.3.0, PHP 7)

SplDoublyLinkedList::offsetSet — Sets the value at the specified $index to $newval

### Description

public SplDoublyLinkedList::offsetSet ( mixed `$index` , mixed `$newval` ) : void

Sets the value at the specified `index` to `newval`.

### Parameters

`index`

  The index being set.

`newval`

  The new value for the `index`.

### Return Values

No value is returned.

### Errors/Exceptions

Throws OutOfRangeException when `index` is out of bounds or when `index` cannot be parsed as an integer.